using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.ExamManages
{
    public class ExamQuestionOptionsDto:ActionRequest
    {
        /// <summary>
        /// 选项内容
        /// </summary>
        [Description("选项内容")]
        public string Content { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 选项标签
        /// </summary>
        [Description("选项标签")]
        public string Label { get; set; }

        /// <summary>
        /// 是否选中
        /// </summary>
        [Description("是否选中")]
        public bool IsSelected { get; set; }
    }

    public class GradingQuestionOptions: ExamQuestionOptionsDto
    {     

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }
    }
}
